using System.Collections.Generic;

namespace ADEPT.Core.Lesson;

public interface IPage
{
    public string Title { get; set; }
    public string Description { get; set; }
    public ILesson Lesson { get; }
    public PageContext PageContext { get; set; }
    public List<IPageComponent> Components { get; set; }
    
    public void Start();
    public void End();
    
    
}